<form action="/messages/show/" method="post">
    <h3>Enter Message Info:</h3>
    <input type="text" class="form-control" name="message_id" placeholder="Message Id" value="<?=$data['msg_id']?>"/><br/>
    <input type="password" class="form-control" name="key" placeholder="Secret Key"/><br/>
    <button class="btn btn-lg btn-primary btn-block" type="submit">Read</button>
</form>